Issue 112562 - GridControl: A11Y
Summary: GridControl: A11Y
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOo 1.0.0
Hardware: All All
: P2 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: eric.savary
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-21 08:16 UTC by tkr
Modified: 2017-05-20 10:22 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description tkr 2010-06-21 08:16:24 UTC
Elements (data) in the grid control are not read by accessibility-tools.
Comment 1 tkr 2010-09-21 11:33:51 UTC
Additional: 

If the grid control losses the focus and a row was selected. The selection
persists. 
The color of the selection should change to indicate that the grid control
doesn't have the focus anymore.

Comment 2 kai.sommerfeld 2010-09-28 08:16:47 UTC
.
Comment 3 misheto 2010-10-07 18:02:21 UTC
fixed. 
Cell content is read, when the cell is focused. First the name of the column,
then the name of the row and at the end the content of the cell are read.
Selected rows, which aren't in focus, are faded out.
Comment 4 misheto 2010-10-07 18:05:13 UTC
Reassign to es.
@es: Please verify.
Comment 5 eric.savary 2010-10-13 11:17:50 UTC
Verifiedi nCWS gridcontrol06